- Qt 5.15
- Qt Wayland Compositor
- QML Types
- XdgSurface QML Type
- Qt 5.15.19 Reference Documentation

# XdgSurface QML Type

XdgSurface provides desktop-style compositor-specific features to an xdg surface. More...

Import Statement: | import QtWayland.Compositor 1.15
Since: | Qt 5.12
Instantiates: | QWaylandXdgSurface

- List of all members, including inherited members

## Properties

- popup : XdgPopup
- shell : XdgShell
- surface : WaylandSurface
- toplevel : XdgToplevel
- windowGeometry : rect
- windowType : enum

## Methods

- void initialize(object xdgShell, object surface, object client, int id)

## Detailed Description

This type is part of the XdgShell extension and provides a way to extend the functionality of an existing WaylandSurface with features specific to desktop-style compositors, such as resizing and moving the surface.

It corresponds to the Wayland interface `xdg_surface`.

## Property Documentation

popup : XdgPopup

This property holds the properties and methods that are specific to the popup XdgSurface.

See also toplevel and XdgShell::popupCreated.

shell : XdgShell

This property holds the shell associated with this XdgSurface.

surface : WaylandSurface

This property holds the surface associated with this XdgSurface.

toplevel : XdgToplevel

This property holds the properties and methods that are specific to the toplevel XdgSurface.

See also popup and XdgShell::toplevelCreated.

windowGeometry : rect

This property holds the window geometry of the QWaylandXdgSurface. The window geometry describes the window's visible bounds from the user's perspective. The geometry includes title bars and borders if drawn by the client, but excludes drop shadows. It is meant to be used for aligning and tiling windows.

windowType : enum

This property holds the window type of the XdgSurface.

## Method Documentation

void initialize(object xdgShell, object surface, object client, int id)

Initializes the XdgSurface, associating it with the given xdgShell, surface, client, and id.